

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// DEFINES AND MACROS /////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#define NUM_PLAYER_SPRITES		28
#define NUM_UTIL_SPRITES		23

// this tile engine has 5 sprites, you must allocate storage for them always
#define NUM_SPRITES          	5

#define SPRITE_WIDTH         	8   // this is always true
#define SPRITE_HEIGHT        	8   // sprites can be from 1..32 lines high, usually 8


// number of sprites
#define NUM_TILE_BITMAPS     3

// shorthand defines for tile map colors, for manually entering bitmaps by hand!
#define _I      NTSC_BLACK // any symbol that makes it easy to see the bitmap!!
#define C0      NTSC_BLACK

#define CR      NTSC_RED
#define CG      NTSC_GREEN
#define CN      (NTSC_GREEN + 0x10)
#define CB      NTSC_BLUE
#define CY      (NTSC_YELLOW + 0x10)
#define CO      NTSC_ORANGE
#define CP      NTSC_PURPLE
#define CV      NTSC_VIOLET
#define CW      NTSC_WHITE

#define C1      NTSC_GRAY0
#define C2      NTSC_GRAY1
#define C3      NTSC_GRAY2
#define C4      NTSC_GRAY3
#define C5      NTSC_GRAY4
#define C6      NTSC_GRAY5
#define C7      NTSC_GRAY6
#define C8      NTSC_GRAY7
#define C9      NTSC_GRAY8

// tried creating only one map, as I'm not scrolling anything,
// but it caused errors. not sure why. must check

volatile UCHAR tile_map[TILE_MAP_WIDTH * 3 *TILE_MAP_HEIGHT + 1 ] = 
{

//  Column
//  0  1  2  3  4  5  6  7  8  9  10 11 12 13 14 15 16 17  

     1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,      // row 0
     2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,      // row 1
     1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,      // row 2
     2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,      // row 3
     1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,      // row 4
     2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,      // row 5
     1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,      // row 6
     2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,      // row 7
     1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,      // row 8
     2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,      // row 9
     1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,      // row 10
     2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,      // row 11
     1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,      // row 12

     1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,      // row 0
     2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,      // row 1
     1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,      // row 2
     2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,      // row 3
     1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,      // row 4
     2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,      // row 5
     1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,      // row 6
     2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,      // row 7
     1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,      // row 8
     2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,      // row 9
     1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,      // row 10
     2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,      // row 11
     1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,      // row 12

     1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,      // row 0
     2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,      // row 1
     1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,      // row 2
     2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,      // row 3
     1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,      // row 4
     2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,      // row 5
     1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,      // row 6
     2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,      // row 7
     1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,      // row 8
     2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,      // row 9
     1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,      // row 10
     2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1,      // row 11
     1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,      // row 12

};

// these are the grass tiles, as lifted from Andre's race example
volatile UCHAR tile_bitmaps[ NUM_TILE_BITMAPS * TILE_BITMAP_SIZE + 1 ] = 
{
    // blank
    _I,_I,_I,_I,_I,_I,_I,_I,
    _I,_I,_I,_I,_I,_I,_I,_I,
    _I,_I,_I,_I,_I,_I,_I,_I,
    _I,_I,_I,_I,_I,_I,_I,_I,
    _I,_I,_I,_I,_I,_I,_I,_I,
    _I,_I,_I,_I,_I,_I,_I,_I,
    _I,_I,_I,_I,_I,_I,_I,_I,
    _I,_I,_I,_I,_I,_I,_I,_I,


    // grass version 1
    CG,CG,CG,CG,CG,CG,CG,CG, 
    CG,CN,CG,CG,CN,CG,CG,CG, 
    CG,CG,CG,CG,CG,CG,CG,CG, 
    CG,CG,CG,CN,CG,CG,CN,CG, 
    CN,CG,CG,CG,CG,CG,CG,CG, 
    CG,CG,CG,CG,CG,CG,CG,CG, 
    CG,CN,CG,CG,CG,CG,CG,CN, 
    CG,CG,CG,CG,CN,CG,CG,CG, 


    // grass version 2
    CG,CG,CG,CG,CG,CG,CG,CG, 
    CG,CG,CG,CG,CG,CG,CG,CG, 
    CG,CG,CG,CG,CG,CG,CG,CG, 
    CG,CG,CG,CG,CG,CG,CG,CG, 
    CG,CG,CG,CG,CG,CG,CG,CG, 
    CG,CG,CG,CG,CG,CG,CG,CG, 
    CG,CG,CG,CG,CG,CG,CG,CG, 
    CG,CG,CG,CG,CG,CG,CG,CG, 
};



// define our sprites here... all sprites will be 8x8.
// please note, the tiles aren't in order from the generated bitmap
volatile UCHAR player1_bitmap_up_anim[ 3 * ( SPRITE_WIDTH * SPRITE_HEIGHT ) + 1 ] = 
{

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(0, 0), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0x83,0x83,0x83,0x00,0x00,
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0xBC,0xF6,0xF6,0xF6,0xF6,0xBC,0x00,
0xBC,0x9A,0xBC,0xBC,0xBC,0xBC,0x9A,0xBC,
0xF6,0x00,0xBC,0xF6,0xBC,0xBC,0x00,0xF6,
0x00,0x00,0xF6,0xBC,0xBC,0xF6,0x00,0x00,
0x00,0xD6,0xD6,0x00,0x00,0xD6,0xD6,0x00,

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(1, 0), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0x83,0x83,0x83,0x00,0x00,
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0xBC,0xF6,0xF6,0xF6,0xF6,0xBC,0x00,
0xBC,0x9A,0xBC,0xBC,0xBC,0xBC,0x9A,0xBC,
0xF6,0x00,0xBC,0xF6,0xBC,0xBC,0x00,0x00,
0x00,0x00,0xF6,0xBC,0xBC,0xF6,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xD6,0xD6,0x00,

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(2, 0), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0x83,0x83,0x83,0x00,0x00,
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0xBC,0xF6,0xF6,0xF6,0xF6,0xBC,0x00,
0xBC,0x9A,0xBC,0xBC,0xBC,0xBC,0x9A,0xBC,
0x00,0x00,0xBC,0xBC,0xF6,0xBC,0x00,0xF6,
0x00,0x00,0xF6,0xBC,0xBC,0xF6,0x00,0x00,
0x00,0xD6,0xD6,0x00,0x00,0x00,0x00,0x00,
};

volatile UCHAR player1_bitmap_down_anim[ 3 * ( SPRITE_WIDTH * SPRITE_HEIGHT ) + 1 ] = 
{

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(3, 0), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0xF6,0xF6,0x83,0x00,0x00,
0x00,0x00,0xF6,0xFF,0xFF,0xF6,0x00,0x00,
0x00,0xBC,0xF6,0xE6,0xE6,0xF6,0xBC,0x00,
0xBC,0x9A,0xBC,0xBC,0xBC,0xBC,0x9A,0xBC,
0xF6,0x00,0xBC,0xBC,0xBC,0xBC,0x00,0xF6,
0x00,0x00,0xF6,0xBC,0xBC,0xF6,0x00,0x00,
0x00,0xD6,0xD6,0x00,0x00,0xD6,0xD6,0x00,

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(4, 0), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0xF6,0xF6,0x83,0x00,0x00,
0x00,0x00,0xF6,0xF6,0xF6,0xF6,0x00,0x00,
0x00,0xBC,0xF6,0xE6,0xE6,0xF6,0xBC,0x00,
0xBC,0x9A,0xBC,0xBC,0xBC,0xBC,0x9A,0xF6,
0xF6,0x00,0xBC,0xBC,0xBC,0xBC,0x00,0x00,
0x00,0x00,0xD6,0xBC,0xBC,0xF6,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xD6,0xD6,0x00,

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(5, 0), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0xF6,0xF6,0x83,0x00,0x00,
0x00,0x00,0xF6,0xFF,0xFF,0xF6,0x00,0x00,
0x00,0xBC,0xF6,0xE6,0xE6,0xF6,0xBC,0x00,
0xF6,0x9A,0xBC,0xBC,0xBC,0xBC,0x9A,0xBC,
0x00,0x00,0xBC,0xBC,0xBC,0xBC,0x00,0xF6,
0x00,0x00,0xF6,0xBC,0xBC,0xD6,0x00,0x00,
0x00,0xD6,0xD6,0x00,0x00,0x00,0x00,0x00,
};

volatile UCHAR player1_bitmap_right_anim[ 3 * ( SPRITE_WIDTH * SPRITE_HEIGHT ) + 1 ] = 
{

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(0, 1), size=(8, 8)
0x00,0x00,0x00,0xF6,0x83,0x00,0x00,0x00,
0x00,0x00,0x83,0xF6,0xFF,0x00,0x00,0x00,
0x00,0x00,0xF6,0xF6,0xF6,0xF6,0x00,0x00,
0x00,0x00,0xBC,0xBC,0xF6,0x00,0x00,0x00,
0x00,0x00,0xBC,0xBC,0xBC,0xBC,0x00,0x00,
0x00,0x00,0xF6,0xBC,0xBC,0xF6,0x00,0x00,
0x00,0x00,0x00,0xF6,0xF6,0x00,0x00,0x00,
0x00,0x00,0x00,0xD6,0xD6,0x00,0x00,0x00,

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(1, 1), size=(8, 8)
0x00,0x00,0x00,0xF6,0x83,0x00,0x00,0x00,
0x00,0x00,0x83,0xF6,0xF6,0x00,0x00,0x00,
0x00,0x00,0xF6,0xF6,0xF6,0xF6,0x00,0x00,
0x00,0x00,0xBC,0xBC,0xF6,0x00,0x00,0x00,
0x00,0x00,0xBC,0xBC,0xBC,0xBC,0x00,0x00,
0x00,0x00,0xF6,0xBC,0xBC,0xF6,0x00,0x00,
0x00,0x00,0x00,0xF6,0xF6,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0xD6,0xD6,0x00,0x00,

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(2, 1), size=(8, 8)
0x00,0x00,0x00,0xF6,0x83,0x00,0x00,0x00,
0x00,0x00,0x83,0xF6,0xFF,0x00,0x00,0x00,
0x00,0x00,0xF6,0xF6,0xF6,0xF6,0x00,0x00,
0x00,0x00,0xBC,0xBC,0xF6,0x00,0x00,0x00,
0x00,0x00,0xBC,0xBC,0xBC,0xF6,0x00,0x00,
0x00,0x00,0xF6,0xBC,0xBC,0xBC,0x00,0x00,
0x00,0x00,0x00,0xF6,0xF6,0x00,0x00,0x00,
0x00,0x00,0x00,0xD6,0xD6,0x00,0x00,0x00,
};

volatile UCHAR player1_bitmap_left_anim[ 3 * ( SPRITE_WIDTH * SPRITE_HEIGHT ) + 1 ] = 
{

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(3, 1), size=(8, 8)
0x00,0x00,0x00,0x83,0xF6,0x00,0x00,0x00,
0x00,0x00,0x00,0xFF,0xF6,0x83,0x00,0x00,
0x00,0x00,0xF6,0xF6,0xF6,0xF6,0x00,0x00,
0x00,0x00,0x00,0xF6,0xBC,0xBC,0x00,0x00,
0x00,0x00,0xBC,0xBC,0xBC,0xBC,0x00,0x00,
0x00,0x00,0xF6,0xBC,0xBC,0xF6,0x00,0x00,
0x00,0x00,0x00,0xF6,0xF6,0x00,0x00,0x00,
0x00,0x00,0x00,0xD6,0xD6,0x00,0x00,0x00,

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(4, 1), size=(8, 8)
0x00,0x00,0x00,0x83,0xF6,0x00,0x00,0x00,
0x00,0x00,0x00,0xF6,0xF6,0x83,0x00,0x00,
0x00,0x00,0xF6,0xF6,0xF6,0xF6,0x00,0x00,
0x00,0x00,0x00,0xF6,0xBC,0xBC,0x00,0x00,
0x00,0x00,0xBC,0xBC,0xBC,0xBC,0x00,0x00,
0x00,0x00,0xF6,0xBC,0xBC,0xF6,0x00,0x00,
0x00,0x00,0x00,0xF6,0xF6,0x00,0x00,0x00,
0x00,0x00,0xD6,0xD6,0x00,0x00,0x00,0x00,

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(5, 1), size=(8, 8)
0x00,0x00,0x00,0x83,0xF6,0x00,0x00,0x00,
0x00,0x00,0x00,0xFF,0xF6,0x83,0x00,0x00,
0x00,0x00,0xF6,0xF6,0xF6,0xF6,0x00,0x00,
0x00,0x00,0x00,0xF6,0xBC,0xBC,0x00,0x00,
0x00,0x00,0xF6,0xBC,0xBC,0xBC,0x00,0x00,
0x00,0x00,0xBC,0xBC,0xBC,0xF6,0x00,0x00,
0x00,0x00,0x00,0xF6,0xF6,0x00,0x00,0x00,
0x00,0x00,0x00,0xD6,0xD6,0x00,0x00,0x00,
};

volatile UCHAR player1_bitmap_bomb_up_anim[ 3 * ( SPRITE_WIDTH * SPRITE_HEIGHT ) + 1 ] = 
{

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(0, 2), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0x83,0x83,0x83,0x00,0x00,
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0xBC,0xF6,0xF6,0xF6,0xF6,0xBC,0x00,
0xBC,0x9A,0xBC,0xBC,0xBC,0xBC,0x9A,0xBC,
0x00,0x42,0xBC,0xF6,0xBC,0xBC,0x42,0x00,
0x00,0x00,0xF6,0xBC,0xBC,0xF6,0x00,0x00,
0x00,0xD6,0xD6,0x42,0x42,0xD6,0xD6,0x00,

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(1, 2), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0x83,0x83,0x83,0x00,0x00,
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0xBC,0xF6,0xF6,0xF6,0xF6,0xBC,0x00,
0xBC,0x9A,0xBC,0xBC,0xBC,0xBC,0x9A,0xBC,
0x00,0x42,0xBC,0xF6,0xBC,0xBC,0x42,0x00,
0x00,0x00,0xF6,0xBC,0xBC,0xF6,0x00,0x00,
0x00,0x00,0x00,0x42,0x42,0xD6,0xD6,0x00,

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(2, 2), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0x83,0x83,0x83,0x00,0x00,
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0xBC,0xF6,0xF6,0xF6,0xF6,0xBC,0x00,
0xBC,0x9A,0xBC,0xBC,0xBC,0xBC,0x9A,0xBC,
0x00,0x42,0xBC,0xBC,0xF6,0xBC,0x42,0x00,
0x00,0x00,0xF6,0xBC,0xBC,0xF6,0x00,0x00,
0x00,0xD6,0xD6,0x42,0x42,0x00,0x00,0x00,
};

volatile UCHAR player1_bitmap_bomb_down_anim[ 3 * ( SPRITE_WIDTH * SPRITE_HEIGHT ) + 1 ] = 
{

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(3, 2), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0xF6,0xF6,0x83,0x00,0x00,
0x00,0x00,0xF6,0x52,0x52,0xF6,0x00,0x00,
0x00,0xBC,0x52,0x62,0x52,0x52,0xBC,0x00,
0xF6,0x52,0x62,0x62,0x52,0x52,0x42,0xF6,
0x00,0x52,0x52,0x52,0x52,0x52,0x42,0x00,
0x00,0x00,0x42,0x52,0x52,0x42,0x00,0x00,
0x00,0xD6,0xD6,0x42,0x42,0xD6,0xD6,0x00,

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(4, 2), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0xF6,0xF6,0x83,0x00,0x00,
0x00,0x00,0xF6,0x52,0x52,0xF6,0x00,0x00,
0x00,0xBC,0x52,0x62,0x52,0x52,0xBC,0x00,
0xF6,0x52,0x62,0x62,0x52,0x52,0x42,0xF6,
0x00,0x52,0x52,0x52,0x52,0x52,0x42,0x00,
0x00,0x00,0x42,0x52,0x52,0x42,0x00,0x00,
0x00,0x00,0x00,0x42,0x42,0xD6,0xD6,0x00,

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(5, 2), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0xF6,0xF6,0x83,0x00,0x00,
0x00,0x00,0xF6,0x52,0x52,0xF6,0x00,0x00,
0x00,0xBC,0x52,0x62,0x52,0x52,0xBC,0x00,
0xF6,0x52,0x62,0x62,0x52,0x52,0x42,0xF6,
0x00,0x52,0x52,0x52,0x52,0x52,0x42,0x00,
0x00,0x00,0x42,0x52,0x52,0x42,0x00,0x00,
0x00,0xD6,0xD6,0x42,0x42,0x00,0x00,0x00,
};

volatile UCHAR player1_bitmap_bomb_right_anim[ 3 * ( SPRITE_WIDTH * SPRITE_HEIGHT ) + 1 ] = 
{

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(0, 3), size=(8, 8)
0x00,0xF6,0x83,0x00,0x00,0x00,0x00,0x00,
0x83,0xF6,0xFF,0x00,0x00,0x00,0x00,0x00,
0xF6,0xF6,0xF6,0xF6,0x52,0x52,0x00,0x00,
0xBC,0xBC,0xF6,0x52,0x62,0x52,0x52,0x00,
0xBC,0xBC,0xBC,0xBC,0xF6,0x52,0x52,0x42,
0xF6,0xBC,0xBC,0xBC,0x52,0x52,0x52,0x42,
0x00,0xF6,0xF6,0x42,0x52,0x52,0x42,0x00,
0x00,0xD6,0xD6,0x00,0x42,0x42,0x00,0x00,

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(1, 3), size=(8, 8)
0x00,0xF6,0x83,0x00,0x00,0x00,0x00,0x00,
0x83,0xF6,0xF6,0x00,0x00,0x00,0x00,0x00,
0xF6,0xF6,0xF6,0xF6,0x52,0x52,0x00,0x00,
0xBC,0xBC,0xF6,0x52,0x62,0x52,0x52,0x00,
0xBC,0xBC,0xBC,0xBC,0xF6,0x52,0x52,0x42,
0xF6,0xBC,0xBC,0xBC,0x52,0x52,0x52,0x42,
0x00,0xF6,0xF6,0x42,0x52,0x52,0x42,0x00,
0x00,0x00,0xD6,0xD6,0x42,0x42,0x00,0x00,

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(2, 3), size=(8, 8)
0x00,0xF6,0x83,0x00,0x00,0x00,0x00,0x00,
0x83,0xF6,0xFF,0x00,0x00,0x00,0x00,0x00,
0xF6,0xF6,0xF6,0xF6,0x52,0x52,0x00,0x00,
0xBC,0xBC,0xF6,0x52,0x62,0x52,0x52,0x00,
0xBC,0xBC,0xBC,0xBC,0xF6,0x52,0x52,0x42,
0xF6,0xBC,0xBC,0xBC,0x52,0x52,0x52,0x42,
0x00,0xF6,0xF6,0x42,0x52,0x52,0x42,0x00,
0x00,0xD6,0xD6,0x00,0x42,0x42,0x00,0x00,
};

volatile UCHAR player1_bitmap_bomb_left_anim[ 3 * ( SPRITE_WIDTH * SPRITE_HEIGHT ) + 1 ] = 
{

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(3, 3), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x83,0xF6,0x00,
0x00,0x00,0x00,0x00,0x00,0xFF,0xF6,0x83,
0x00,0x00,0x52,0x52,0xF6,0xF6,0xF6,0xF6,
0x00,0x52,0x62,0x52,0x52,0xF6,0xBC,0xBC,
0x52,0x62,0x62,0xF6,0xBC,0xBC,0xBC,0xBC,
0x52,0x52,0x52,0x52,0xBC,0xBC,0xBC,0xF6,
0x00,0x42,0x52,0x52,0x42,0xF6,0xF6,0x00,
0x00,0x00,0x42,0x42,0x00,0xD6,0xD6,0x00,

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(4, 3), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x83,0xF6,0x00,
0x00,0x00,0x00,0x00,0x00,0xF6,0xF6,0x83,
0x00,0x00,0x52,0x52,0xF6,0xF6,0xF6,0xF6,
0x00,0x52,0x62,0x52,0x52,0xF6,0xBC,0xBC,
0x52,0x62,0x62,0xF6,0xBC,0xBC,0xBC,0xBC,
0x52,0x52,0x52,0x52,0xBC,0xBC,0xBC,0xF6,
0x00,0x42,0x52,0x52,0x42,0xF6,0xF6,0x00,
0x00,0x00,0x42,0x42,0xD6,0xD6,0x00,0x00,

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(5, 3), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x83,0xF6,0x00,
0x00,0x00,0x00,0x00,0x00,0xFF,0xF6,0x83,
0x00,0x00,0x52,0x52,0xF6,0xF6,0xF6,0xF6,
0x00,0x52,0x62,0x52,0x52,0xF6,0xBC,0xBC,
0x52,0x62,0x62,0xF6,0xBC,0xBC,0xBC,0xBC,
0x52,0x52,0x52,0x52,0xBC,0xBC,0xBC,0xF6,
0x00,0x42,0x52,0x52,0x42,0xF6,0xF6,0x00,
0x00,0x00,0x42,0x42,0x00,0xD6,0xD6,0x00,
};

volatile UCHAR player1_bitmap_duck_anim[ 4 * ( SPRITE_WIDTH * SPRITE_HEIGHT ) + 1 ] = 
{

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(0, 4), size=(8, 8)
0x00,0x00,0xD6,0x00,0x00,0xD6,0x00,0x00,
0x00,0x00,0xD6,0x00,0x00,0xD6,0x00,0x00,
0x00,0x00,0xF6,0xBC,0xBC,0xF6,0x00,0x00,
0x00,0xBC,0xBC,0xF6,0xBC,0xBC,0xBC,0x6F,
0x00,0xBC,0xBC,0xBC,0xBC,0xBC,0xBC,0x00,
0xBC,0xBC,0xF6,0x83,0x83,0xF6,0xBC,0xBC,
0xBC,0xF6,0x83,0xF6,0xF6,0x83,0xF6,0xBC,
0x00,0x00,0xF6,0xE6,0xE6,0xF6,0x00,0x00,

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(1, 4), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0xF6,0x83,0x83,0x83,0x83,0xF6,0x00,
0xBC,0xBC,0xBC,0x83,0x83,0xBC,0xBC,0xBC,
0xBC,0x9A,0xBC,0xBC,0xBC,0xBC,0x9A,0xBC,
0x00,0xBC,0xBC,0xF6,0xBC,0xBC,0xBC,0x00,
0x00,0x9A,0xD6,0xBC,0xBC,0xD6,0x9A,0x00,
0x00,0x00,0xD6,0x9A,0x9A,0xD6,0x00,0x00,
0x00,0x00,0xF6,0x00,0x00,0xF6,0x00,0x00,

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(2, 4), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xD6,0xD6,0x00,0x00,0x00,0xF6,0x83,0x00,
0xF6,0xF6,0xBC,0xBC,0x83,0xF6,0xF6,0x00,
0xBC,0xBC,0xBC,0xBC,0xBC,0xF6,0xF6,0xF6,
0x00,0xBC,0xBC,0x9A,0xBC,0xBC,0xF6,0x00,
0x00,0x00,0x00,0xBC,0xBC,0xBC,0x00,0x00,

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(3, 4), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x83,0xF6,0x00,0x00,0x00,0xD6,0xD6,
0x00,0xF6,0xF6,0x83,0xBC,0xBC,0xF6,0xF6,
0xF6,0xF6,0xF6,0xBC,0xBC,0xBC,0xBC,0xBC,
0x00,0xF6,0xBC,0xBC,0x9A,0xBC,0xBC,0x00,
0x00,0x00,0xBC,0xBC,0xBC,0x00,0x00,0x00,
};

/*

ONE THING AT A TIME ;-) LET'S GET THE PLAYER MOVING PROPERLY FIRST!!!

// define our sprites here... All sprites will be 8x8, and we'll need to allocate enough of these for each sprite in NUM_SPRITES
volatile UCHAR player2_bitmap[ NUM_PLAYER_SPRITES * ( SPRITE_WIDTH * SPRITE_HEIGHT ) + 1 ] = 
{

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(0, 5), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0x83,0x83,0x83,0x00,0x00,
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x60,0xF6,0xF6,0xF6,0xF6,0x60,0x00,
0x60,0x40,0x60,0x60,0x60,0x60,0x40,0x60,
0xF6,0x00,0x60,0xF6,0x60,0x60,0x00,0xF6,
0x00,0x00,0xF6,0x60,0x60,0xF6,0x00,0x00,
0x00,0xD6,0xD6,0x00,0x00,0xD6,0xD6,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(1, 5), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0x83,0x83,0x83,0x00,0x00,
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x60,0xF6,0xF6,0xF6,0xF6,0x60,0x00,
0x60,0x40,0x60,0x60,0x60,0x60,0x40,0x60,
0xF6,0x00,0x60,0xF6,0x60,0x60,0x00,0x00,
0x00,0x00,0xF6,0x60,0x60,0xF6,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xD6,0xD6,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(2, 5), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0x83,0x83,0x83,0x00,0x00,
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x60,0xF6,0xF6,0xF6,0xF6,0x60,0x00,
0x60,0x40,0x60,0x60,0x60,0x60,0x40,0x60,
0x00,0x00,0x60,0x60,0xF6,0x60,0x00,0xF6,
0x00,0x00,0xF6,0x60,0x60,0xF6,0x00,0x00,
0x00,0xD6,0xD6,0x00,0x00,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(3, 5), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0xF6,0xF6,0x83,0x00,0x00,
0x00,0x00,0xF6,0xFF,0xFF,0xF6,0x00,0x00,
0x00,0x60,0xF6,0xE6,0xE6,0xF6,0x60,0x00,
0x60,0x40,0x60,0x60,0x60,0x60,0x40,0x60,
0xF6,0x00,0x60,0x60,0x60,0x60,0x00,0xF6,
0x00,0x00,0xF6,0x60,0x60,0xF6,0x00,0x00,
0x00,0xD6,0xD6,0x00,0x00,0xD6,0xD6,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(4, 5), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0xF6,0xF6,0x83,0x00,0x00,
0x00,0x00,0xF6,0xF6,0xF6,0xF6,0x00,0x00,
0x00,0x60,0xF6,0xE6,0xE6,0xF6,0x60,0x00,
0x60,0x40,0x60,0x60,0x60,0x60,0x40,0xF6,
0xF6,0x00,0x60,0x60,0x60,0x60,0x00,0x00,
0x00,0x00,0xD6,0x60,0x60,0xF6,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xD6,0xD6,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(5, 5), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0xF6,0xF6,0x83,0x00,0x00,
0x00,0x00,0xF6,0xFF,0xFF,0xF6,0x00,0x00,
0x00,0x60,0xF6,0xE6,0xE6,0xF6,0x60,0x00,
0xF6,0x40,0x60,0x60,0x60,0x60,0x40,0x60,
0x00,0x00,0x60,0x60,0x60,0x60,0x00,0xF6,
0x00,0x00,0xF6,0x60,0x60,0xD6,0x00,0x00,
0x00,0xD6,0xD6,0x00,0x00,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(0, 6), size=(8, 8)
0x00,0x00,0x00,0xF6,0x83,0x00,0x00,0x00,
0x00,0x00,0x83,0xF6,0xFF,0x00,0x00,0x00,
0x00,0x00,0xF6,0xF6,0xF6,0xF6,0x00,0x00,
0x00,0x00,0x60,0x60,0xF6,0x00,0x00,0x00,
0x00,0x00,0x60,0x60,0x60,0x60,0x00,0x00,
0x00,0x00,0xF6,0x60,0x60,0xF6,0x00,0x00,
0x00,0x00,0x00,0xF6,0xF6,0x00,0x00,0x00,
0x00,0x00,0x00,0xD6,0xD6,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(1, 6), size=(8, 8)
0x00,0x00,0x00,0xF6,0x83,0x00,0x00,0x00,
0x00,0x00,0x83,0xF6,0xF6,0x00,0x00,0x00,
0x00,0x00,0xF6,0xF6,0xF6,0xF6,0x00,0x00,
0x00,0x00,0x60,0x60,0xF6,0x00,0x00,0x00,
0x00,0x00,0x60,0x60,0x60,0x60,0x00,0x00,
0x00,0x00,0xF6,0x60,0x60,0xF6,0x00,0x00,
0x00,0x00,0x00,0xF6,0xF6,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0xD6,0xD6,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(2, 6), size=(8, 8)
0x00,0x00,0x00,0xF6,0x83,0x00,0x00,0x00,
0x00,0x00,0x83,0xF6,0xFF,0x00,0x00,0x00,
0x00,0x00,0xF6,0xF6,0xF6,0xF6,0x00,0x00,
0x00,0x00,0x60,0x60,0xF6,0x00,0x00,0x00,
0x00,0x00,0x60,0x60,0x60,0xF6,0x00,0x00,
0x00,0x00,0xF6,0x60,0x60,0x60,0x00,0x00,
0x00,0x00,0x00,0xF6,0xF6,0x00,0x00,0x00,
0x00,0x00,0x00,0xD6,0xD6,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(3, 6), size=(8, 8)
0x00,0x00,0x00,0x83,0xF6,0x00,0x00,0x00,
0x00,0x00,0x00,0xFF,0xF6,0x83,0x00,0x00,
0x00,0x00,0xF6,0xF6,0xF6,0xF6,0x00,0x00,
0x00,0x00,0x00,0xF6,0x60,0x60,0x00,0x00,
0x00,0x00,0x60,0x60,0x60,0x60,0x00,0x00,
0x00,0x00,0xF6,0x60,0x60,0xF6,0x00,0x00,
0x00,0x00,0x00,0xF6,0xF6,0x00,0x00,0x00,
0x00,0x00,0x00,0xD6,0xD6,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(4, 6), size=(8, 8)
0x00,0x00,0x00,0x83,0xF6,0x00,0x00,0x00,
0x00,0x00,0x00,0xF6,0xF6,0x83,0x00,0x00,
0x00,0x00,0xF6,0xF6,0xF6,0xF6,0x00,0x00,
0x00,0x00,0x00,0xF6,0x60,0x60,0x00,0x00,
0x00,0x00,0x60,0x60,0x60,0x60,0x00,0x00,
0x00,0x00,0xF6,0x60,0x60,0xF6,0x00,0x00,
0x00,0x00,0x00,0xF6,0xF6,0x00,0x00,0x00,
0x00,0x00,0xD6,0xD6,0x00,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(5, 6), size=(8, 8)
0x00,0x00,0x00,0x83,0xF6,0x00,0x00,0x00,
0x00,0x00,0x00,0xFF,0xF6,0x83,0x00,0x00,
0x00,0x00,0xF6,0xF6,0xF6,0xF6,0x00,0x00,
0x00,0x00,0x00,0xF6,0x60,0x60,0x00,0x00,
0x00,0x00,0xF6,0x60,0x60,0x60,0x00,0x00,
0x00,0x00,0x60,0x60,0x60,0xF6,0x00,0x00,
0x00,0x00,0x00,0xF6,0xF6,0x00,0x00,0x00,
0x00,0x00,0x00,0xD6,0xD6,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(0, 7), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0x83,0x83,0x83,0x00,0x00,
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x60,0xF6,0xF6,0xF6,0xF6,0x60,0x00,
0x60,0x40,0x60,0x60,0x60,0x60,0x40,0x60,
0x00,0x42,0x60,0xF6,0x60,0x60,0x42,0x00,
0x00,0x00,0xF6,0x60,0x60,0xF6,0x00,0x00,
0x00,0xD6,0xD6,0x42,0x42,0xD6,0xD6,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(1, 7), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0x83,0x83,0x83,0x00,0x00,
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x60,0xF6,0xF6,0xF6,0xF6,0x60,0x00,
0x60,0x40,0x60,0x60,0x60,0x60,0x40,0x60,
0x00,0x42,0x60,0xF6,0x60,0x60,0x42,0x00,
0x00,0x00,0xF6,0x60,0x60,0xF6,0x00,0x00,
0x00,0x00,0x00,0x42,0x42,0xD6,0xD6,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(2, 7), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0x83,0x83,0x83,0x00,0x00,
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x60,0xF6,0xF6,0xF6,0xF6,0x60,0x00,
0x60,0x40,0x60,0x60,0x60,0x60,0x40,0x60,
0x00,0x42,0x60,0x60,0xF6,0x60,0x42,0x00,
0x00,0x00,0xF6,0x60,0x60,0xF6,0x00,0x00,
0x00,0xD6,0xD6,0x42,0x42,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(3, 7), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0xF6,0xF6,0x83,0x00,0x00,
0x00,0x00,0xF6,0x52,0x52,0xF6,0x00,0x00,
0x00,0x60,0x52,0x62,0x52,0x52,0x60,0x00,
0xF6,0x52,0x62,0x62,0x52,0x52,0x42,0xF6,
0x00,0x52,0x52,0x52,0x52,0x52,0x42,0x00,
0x00,0x00,0x42,0x52,0x52,0x42,0x00,0x00,
0x00,0xD6,0xD6,0x42,0x42,0xD6,0xD6,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(4, 7), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0xF6,0xF6,0x83,0x00,0x00,
0x00,0x00,0xF6,0x52,0x52,0xF6,0x00,0x00,
0x00,0x60,0x52,0x62,0x52,0x52,0x60,0x00,
0xF6,0x52,0x62,0x62,0x52,0x52,0x42,0xF6,
0x00,0x52,0x52,0x52,0x52,0x52,0x42,0x00,
0x00,0x00,0x42,0x52,0x52,0x42,0x00,0x00,
0x00,0x00,0x00,0x42,0x42,0xD6,0xD6,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(5, 7), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0x00,0x83,0xF6,0xF6,0x83,0x00,0x00,
0x00,0x00,0xF6,0x52,0x52,0xF6,0x00,0x00,
0x00,0x60,0x52,0x62,0x52,0x52,0x60,0x00,
0xF6,0x52,0x62,0x62,0x52,0x52,0x42,0xF6,
0x00,0x52,0x52,0x52,0x52,0x52,0x42,0x00,
0x00,0x00,0x42,0x52,0x52,0x42,0x00,0x00,
0x00,0xD6,0xD6,0x42,0x42,0x00,0x00,0x00,

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(0, 8), size=(8, 8)
0x00,0xF6,0x83,0x00,0x00,0x00,0x00,0x00,
0x83,0xF6,0xFF,0x00,0x00,0x00,0x00,0x00,
0xF6,0xF6,0xF6,0xF6,0x52,0x52,0x00,0x00,
0x60,0x60,0xF6,0x52,0x62,0x52,0x52,0x00,
0x60,0x60,0x60,0x60,0xF6,0x52,0x52,0x42,
0xF6,0x60,0x60,0x60,0x52,0x52,0x52,0x42,
0x00,0xF6,0xF6,0x42,0x52,0x52,0x42,0x00,
0x00,0xD6,0xD6,0x00,0x42,0x42,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(1, 8), size=(8, 8)
0x00,0xF6,0x83,0x00,0x00,0x00,0x00,0x00,
0x83,0xF6,0xF6,0x00,0x00,0x00,0x00,0x00,
0xF6,0xF6,0xF6,0xF6,0x52,0x52,0x00,0x00,
0x60,0x60,0xF6,0x52,0x62,0x52,0x52,0x00,
0x60,0x60,0x60,0x60,0xF6,0x52,0x52,0x42,
0xF6,0x60,0x60,0x60,0x52,0x52,0x52,0x42,
0x00,0xF6,0xF6,0x42,0x52,0x52,0x42,0x00,
0x00,0x00,0xD6,0xD6,0x42,0x42,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(2, 8), size=(8, 8)
0x00,0xF6,0x83,0x00,0x00,0x00,0x00,0x00,
0x83,0xF6,0xFF,0x00,0x00,0x00,0x00,0x00,
0xF6,0xF6,0xF6,0xF6,0x52,0x52,0x00,0x00,
0x60,0x60,0xF6,0x52,0x62,0x52,0x52,0x00,
0x60,0x60,0x60,0x60,0xF6,0x52,0x52,0x42,
0xF6,0x60,0x60,0x60,0x52,0x52,0x52,0x42,
0x00,0xF6,0xF6,0x42,0x52,0x52,0x42,0x00,
0x00,0xD6,0xD6,0x00,0x42,0x42,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(3, 8), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x83,0xF6,0x00,
0x00,0x00,0x00,0x00,0x00,0xFF,0xF6,0x83,
0x00,0x00,0x52,0x52,0xF6,0xF6,0xF6,0xF6,
0x00,0x52,0x62,0x52,0x52,0xF6,0x60,0x60,
0x52,0x62,0x62,0xF6,0x60,0x60,0x60,0x60,
0x52,0x52,0x52,0x52,0x60,0x60,0x60,0xF6,
0x00,0x42,0x52,0x52,0x42,0xF6,0xF6,0x00,
0x00,0x00,0x42,0x42,0x00,0xD6,0xD6,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(4, 8), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x83,0xF6,0x00,
0x00,0x00,0x00,0x00,0x00,0xF6,0xF6,0x83,
0x00,0x00,0x52,0x52,0xF6,0xF6,0xF6,0xF6,
0x00,0x52,0x62,0x52,0x52,0xF6,0x60,0x60,
0x52,0x62,0x62,0xF6,0x60,0x60,0x60,0x60,
0x52,0x52,0x52,0x52,0x60,0x60,0x60,0xF6,
0x00,0x42,0x52,0x52,0x42,0xF6,0xF6,0x00,
0x00,0x00,0x42,0x42,0xD6,0xD6,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(5, 8), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x83,0xF6,0x00,
0x00,0x00,0x00,0x00,0x00,0xFF,0xF6,0x83,
0x00,0x00,0x52,0x52,0xF6,0xF6,0xF6,0xF6,
0x00,0x52,0x62,0x52,0x52,0xF6,0x60,0x60,
0x52,0x62,0x62,0xF6,0x60,0x60,0x60,0x60,
0x52,0x52,0x52,0x52,0x60,0x60,0x60,0xF6,
0x00,0x42,0x52,0x52,0x42,0xF6,0xF6,0x00,
0x00,0x00,0x42,0x42,0x00,0xD6,0xD6,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(0, 9), size=(8, 8)
0x00,0x00,0xD6,0x00,0x00,0xD6,0x00,0x00,
0x00,0x00,0xD6,0x00,0x00,0xD6,0x00,0x00,
0x00,0x00,0xF6,0x60,0x60,0xF6,0x00,0x00,
0x00,0x60,0x60,0xF6,0x60,0x60,0x60,0x6F,
0x00,0x60,0x60,0x60,0x60,0x60,0x60,0x00,
0x60,0x60,0xF6,0x83,0x83,0xF6,0x60,0x60,
0x60,0xF6,0x83,0xF6,0xF6,0x83,0xF6,0x60,
0x00,0x00,0xF6,0xE6,0xE6,0xF6,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(1, 9), size=(8, 8)
0x00,0x00,0xF6,0x83,0x83,0xF6,0x00,0x00,
0x00,0xF6,0x83,0x83,0x83,0x83,0xF6,0x00,
0x60,0x60,0x60,0x83,0x83,0x60,0x60,0x60,
0x60,0x40,0x60,0x60,0x60,0x60,0x40,0x60,
0x00,0x60,0x60,0xF6,0x60,0x60,0x60,0x00,
0x00,0x40,0xD6,0x60,0x60,0xD6,0x40,0x00,
0x00,0x00,0xD6,0x40,0x40,0xD6,0x00,0x00,
0x00,0x00,0xF6,0x00,0x00,0xF6,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(2, 9), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xD6,0xD6,0x00,0x00,0x00,0xF6,0x83,0x00,
0xF6,0xF6,0x60,0x60,0x83,0xF6,0xF6,0x00,
0x60,0x60,0x60,0x60,0x60,0xF6,0xF6,0xF6,
0x00,0x60,0x60,0x40,0x60,0x60,0xF6,0x00,
0x00,0x00,0x00,0x60,0x60,0x60,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(3, 9), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x83,0xF6,0x00,0x00,0x00,0xD6,0xD6,
0x00,0xF6,0xF6,0x83,0x60,0x60,0xF6,0xF6,
0xF6,0xF6,0xF6,0x60,0x60,0x60,0x60,0x60,
0x00,0xF6,0x60,0x60,0x40,0x60,0x60,0x00,

};



// define our sprites here... All sprites will be 8x8, and we'll need to allocate enough of these for each sprite in NUM_SPRITES
volatile UCHAR bomb_bitmap[ NUM_UTIL_SPRITES * ( SPRITE_WIDTH * SPRITE_HEIGHT ) + 1 ] = 
{

// Tile extracted from file "sprites_8x8_01.bmp" at tile=(4, 4), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x52,0x52,0x00,0x00,0x00,
0x00,0x00,0x52,0x62,0x52,0x52,0x00,0x00,
0x00,0x52,0x62,0x62,0x52,0x52,0x42,0x00,
0x00,0x52,0x52,0x52,0x52,0x52,0x42,0x00,
0x00,0x00,0x42,0x52,0x52,0x42,0x00,0x00,
0x00,0x5F,0x00,0x42,0x42,0x00,0x5F,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(5, 4), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x95,0x95,0x00,0x00,0x00,
0x00,0x00,0x95,0xC5,0x95,0x95,0x00,0x00,
0x00,0x95,0xC5,0xC5,0x95,0x95,0x45,0x00,
0x00,0x95,0x95,0x95,0x95,0x95,0x45,0x00,
0x00,0x00,0x45,0x95,0x95,0x45,0x00,0x00,
0x00,0x00,0x00,0x45,0x45,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x60,0x60,0x60,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(4, 9), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x62,0x52,0x00,0x00,0x00,
0x00,0x00,0x00,0x52,0x52,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(5, 9), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x62,0x62,0x00,0x00,0x00,
0x00,0x00,0x62,0x52,0x52,0x42,0x00,0x00,
0x00,0x00,0x62,0x52,0x52,0x42,0x00,0x00,
0x00,0x00,0x00,0x42,0x42,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(0, 10), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x52,0x52,0x00,0x00,0x00,
0x00,0x00,0x52,0x62,0xB2,0x52,0x00,0x00,
0x00,0x52,0x62,0xB2,0x52,0xA3,0x42,0x00,
0x00,0x52,0xA3,0x52,0xB2,0x52,0x42,0x00,
0x00,0x00,0x42,0xA3,0x52,0x42,0x00,0x00,
0x00,0x5F,0x00,0x42,0x42,0x00,0x5F,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(1, 10), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xA3,0x52,0x52,0x00,0xB2,0x00,
0x00,0xB2,0x52,0x62,0xA3,0x52,0x00,0x00,
0x00,0x52,0xA3,0x62,0x52,0x52,0xA3,0x00,
0x00,0x52,0x52,0xB2,0x52,0xB2,0x42,0x00,
0x00,0xA3,0x42,0x52,0x52,0x42,0xA3,0x00,
0x00,0x5F,0xB2,0x42,0x42,0xA3,0x5F,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(2, 10), size=(8, 8)
0x00,0x00,0x00,0xB2,0xB2,0x00,0x00,0x00,
0x00,0x00,0xB2,0xA3,0xA3,0xB2,0x00,0x00,
0x00,0xB2,0xA3,0x95,0x95,0xA3,0xB2,0x00,
0xB2,0xB2,0x9F,0x6F,0x9F,0x95,0xA3,0xB2,
0xB2,0xA3,0x95,0x6F,0x6F,0x9F,0xA3,0xB2,
0x00,0xB2,0xA3,0x9F,0x95,0xB2,0xB2,0x00,
0x00,0x5F,0xB2,0xA3,0xB2,0xB2,0x5F,0x00,
0x00,0x00,0x00,0xB2,0xB2,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(3, 10), size=(8, 8)
0x00,0xA3,0x00,0x00,0x00,0x00,0x00,0x00,
0xA3,0x95,0x52,0x00,0x00,0xA3,0x52,0xA3,
0x00,0xA3,0x00,0xDF,0x00,0x95,0xA3,0x00,
0x00,0x00,0x00,0xBF,0x9F,0x00,0x00,0x00,
0x00,0x00,0xDF,0x9F,0x9F,0xDF,0x00,0x00,
0x00,0xA3,0x95,0x00,0xDF,0x95,0xA3,0x00,
0xA3,0x52,0xA3,0x00,0x00,0x52,0x52,0xA3,
0x00,0x00,0x00,0x00,0x00,0x00,0xA3,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(4, 10), size=(8, 8)
0x52,0xA3,0x00,0x00,0x00,0x00,0x00,0x00,
0xA3,0x00,0x00,0xDF,0x9F,0x00,0x00,0xA3,
0x00,0x00,0xDF,0x9F,0xBF,0x9F,0x00,0x00,
0x00,0xDF,0x9F,0x00,0x00,0xDF,0x9F,0x00,
0x00,0xBF,0x9F,0x00,0x00,0xDF,0x9F,0x00,
0x00,0x00,0xBF,0x9F,0xDF,0x9F,0x00,0x00,
0x00,0x00,0x00,0xBF,0x9F,0x00,0x00,0x52,
0xA3,0x00,0x00,0x00,0x00,0x00,0x00,0xA3,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(5, 10), size=(8, 8)
0x00,0x00,0xDF,0xBF,0xBF,0x9F,0x00,0x00,
0x00,0xDF,0x9F,0x9F,0x9F,0xBF,0x9F,0x00,
0xDF,0x9F,0x9F,0x00,0x00,0x9F,0xBF,0x9F,
0xDF,0x9F,0x00,0x00,0x00,0x00,0xDF,0x9F,
0xBF,0x9F,0x00,0x00,0x00,0x00,0xDF,0x9F,
0xBF,0xBF,0x9F,0x00,0x00,0xDF,0x9F,0x9F,
0x00,0xBF,0xBF,0xBF,0xBF,0x9F,0x9F,0x00,
0x00,0x00,0x9F,0x9F,0x9F,0x9F,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(0, 11), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0xFF,0x00,0xFF,0x00,0x00,
0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(1, 11), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0xFF,0x00,0xFF,0x00,0x00,
0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0xFF,0x00,0xFF,0x00,0x00,
0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(2, 11), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(3, 11), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0xFF,0x00,0xFF,0x00,0x00,
0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(4, 11), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0x00,
0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(5, 11), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xFF,0x00,0xFF,0x00,0x00,
0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(0, 12), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0x00,
0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(1, 12), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0x00,
0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(2, 12), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(3, 12), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0xFF,0x00,0xFF,0x00,0x00,
0x00,0x00,0x00,0xFF,0x00,0xFF,0x00,0x00,
0x00,0x00,0x00,0xFF,0x00,0xFF,0x00,0x00,
0x00,0x00,0x00,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(4, 12), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,0x00,
0xFF,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,
0xFF,0xFF,0xFF,0x00,0xFF,0x00,0x00,0x00,
0x00,0x00,0xFF,0x00,0xFF,0x00,0x00,0x00,
0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(5, 12), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,0x00,
0xFF,0x00,0xFF,0x00,0xFF,0x00,0xFF,0x00,
0xFF,0x00,0xFF,0x00,0xFF,0xFF,0xFF,0x00,
0xFF,0x00,0xFF,0x00,0xFF,0xFF,0x00,0x00,
0xFF,0xFF,0xFF,0x00,0xFF,0x00,0xFF,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,


// Tile extracted from file "sprites_8x8_01.bmp" at tile=(0, 13), size=(8, 8)
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xFF,0xFF,0xFF,0x00,0x00,0xFF,0x00,0x00,
0xFF,0x00,0x00,0x00,0x00,0xFF,0x00,0x00,
0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,
0xFF,0x00,0x00,0x00,0x00,0xFF,0x00,0x00,
0xFF,0xFF,0xFF,0x00,0x00,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,

};*/



// this is the "sprite" table that declares the data structure for each sprite, its always in the format:
// state, attr, color, height, x,y, *bitmap
// taking this from Andre's example until I can generate enough grey matter to change it!
volatile SPRITE sprite_table[NUM_SPRITES] =
{	
	{0,0,0,8,80,70,player1_bitmap_up_anim},         // Pig P1
	// don't need those below just yet, so let's hide em all!!!
	{0,0,0,8,200,70,player1_bitmap_up_anim},         // slave
	{0,0,0,8,200,70,player1_bitmap_up_anim},         // slave
	{0,0,0,8,200,70,player1_bitmap_left_anim},         // Bomb
	{0,0,0,8,200,70,player1_bitmap_left_anim},         // slave
};
